"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _helloWorld = _interopRequireDefault(require("./hello-world"));

var _helloWorld2 = _interopRequireDefault(require("./hello-world.scss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var styles;
describe('hello world', function () {
  beforeAll(function () {
    styles = (0, _enzyme.mount)(_react["default"].createElement("style", null, _helloWorld2["default"]), {
      attachTo: document.head
    });
  });
  afterAll(function () {
    styles.detach();
  });
  it('has a default who value', function () {
    var wrapper = (0, _enzyme.shallow)(_react["default"].createElement(_helloWorld["default"], null));
    expect(wrapper).toHaveText('Hello World');
  });
  it('can set who to say hello', function () {
    var wrapper = (0, _enzyme.shallow)(_react["default"].createElement(_helloWorld["default"], {
      who: "Fernando"
    }));
    expect(wrapper).toHaveText('Hello Fernando');
  });
});